
export interface TotalDemensionInter {
  companyName: string,
  list: DemensionPagesInter[]
}

export interface DemensionPagesInter {
  projectName: string,
  list: DemensionPagesListInter[]
}

export interface DemensionPagesListInter {
  code: string,
  routing: string,
  title: string,
  viewList?: ViewListInter[],
  tabs?: 'deleted' | [],  //是否有tabs，历史列表deleted，普通tab传数组
  customRender?: any
}


//标准字段展示列表，必须有value，valueType表示展示字段的处理类型
export interface ViewListInter {
  name?: string,
  value: string,
  //类型 时间、标题
  valueType?: 'date' | 'title'
}

